package dev.lonami.talaria.ui

import androidx.lifecycle.ViewModel
import dev.lonami.talaria.data.DialogSource
import kotlinx.coroutines.flow.MutableStateFlow
import kotlinx.coroutines.flow.StateFlow
import kotlinx.coroutines.flow.asStateFlow

class DialogViewModel : ViewModel() {
    private val _uiState = MutableStateFlow(DialogUiState())
    val uiState: StateFlow<DialogUiState> = _uiState.asStateFlow()

    private fun loadDialogs() {
        _uiState.value = DialogUiState(DialogSource.loadDialogs())
    }

    init {
        loadDialogs()
    }
}
